[%info]
CSS Level 2.1
Reference: http://www.w3.org/TR/CSS21/

[%groups]
aural=Aural
box=Box and Borders
colors=Colors and Backgrounds
text=Font and Text
generate=Generated Content
layout=Layout
list=Lists
page=Page
table=Tables
other=Other

[%properties]
azimuth
background
background-attachment
background-color
background-image
background-position
background-repeat
border
border-bottom
border-bottom-color
border-bottom-style
border-bottom-width
border-collapse
border-color
border-left
border-left-color
border-left-style
border-left-width
border-right
border-right-color
border-right-style
border-right-width
border-spacing
border-style
border-top
border-top-color
border-top-style
border-top-width
border-width
bottom
caption-side
clear
clip
color
content
counter-increment
counter-reset
cue
cue-after
cue-before
cursor
direction
display
elevation
empty-cells
float
font
font-family
font-size
font-size-adjust
font-stretch
font-style
font-variant
font-weight
height
left
letter-spacing
line-height
list-style
list-style-image
list-style-position
list-style-type
margin
margin-bottom
margin-left
margin-right
margin-top
max-height
max-width
min-height
min-width
orphans
outline
outline-color
outline-style
outline-width
overflow
padding
padding-bottom
padding-left
padding-right
padding-top
page
page-break-after
page-break-before
page-break-inside
pause
pause-after
pause-before
pitch
pitch-range
play-during
position
quotes
richness
right
size
speak
speak-header
speak-numeral
speak-punctuation
speech-rate
stress
table-layout
text-align
text-decoration
text-indent
text-transform
top
unicode-bidi
vertical-align
visibility
voice-family
volume
white-space
widows
width
word-spacing
z-index

[%units]
<length>=px|em|ex|pt|in|pc|mm|cm
<angle>=deg|grad|rad
<time>=ms|s
<frequency>=Hz|kHz

[%types]
<border-style>=none|hidden|dotted|dashed|solid|double|groove|ridge|inset|outset
<border-width>=<length>|thin|medium|thick
<absolute-size>=xx-small|x-small|small|medium|large|x-large|xx-large
<relative-size>=larger|smaller
<generic-family>=serif|sans-serif|cursive|fantasy|monospace

[azimuth]
group=aural
value=<angle>|left-side|far-left|left|center-left|center|center-right|right|far-right|right-side|behind|leftwards|rightwards

[background]
group=colors
value=<mixed>|inherit
sub1=background-color,<color>|transparent
sub2=background-image,<imageurl>|none
sub3=background-repeat,repeat|repeat-x|repeat-y|no-repeat
sub4=background-attachment,scroll|fixed
sub5=background-position,<percentage>|<length>|top|center|bottom|left|right

[background-attachment]
group=colors
value=scroll|fixed|inherit

[background-color]
group=colors
value=<color>|transparent|inherit

[background-image]
group=colors
value=<imageurl>|none|inherit

[background-position]
group=colors
value=<percentage>|<length>|top|center|bottom|left|right|inherit

[background-repeat]
group=colors
value=repeat|repeat-x|repeat-y|no-repeat|inherit

[border]
group=box
value=<mixed>|inherit
sub1=width,<border-width>
sub2=style,<border-style>
sub3=color,<color>|transparent

[border-bottom]
group=box
value=<mixed>|inherit
sub1=width,<border-width>
sub2=style,<border-style>
sub3=color,<color>|transparent

[border-bottom-color]
group=box
value=<color>|transparent|inherit

[border-bottom-style]
group=box
value=<border-style>|inherit

[border-bottom-width]
group=box
value=<border-width>|inherit

[border-collapse]
group=table
value=collapse|separate

[border-color]
group=box
value=<mixed>|<color>|transparent|inherit
sub1=border-top-color,<color>|transparent
sub2=border-right-color,<color>|transparent
sub3=border-bottom-color,<color>|transparent
sub4=border-left-color,<color>|transparent

[border-left]
group=box
value=<mixed>|inherit
sub1=width,<border-width>
sub2=style,<border-style>
sub3=color,<color>|transparent

[border-left-color]
group=box
value=<color>|transparent|inherit

[border-left-style]
group=box
value=<border-style>|inherit

[border-left-width]
group=box
value=<border-width>|inherit

[border-right]
group=box
value=<mixed>|inherit
sub1=width,<border-width>
sub2=style,<border-style>
sub3=color,<color>|transparent

[border-right-color]
group=box
value=<color>|transparent|inherit

[border-right-style]
group=box
value=<border-style>|inherit

[border-right-width]
group=box
value=<border-width>|inherit

[border-spacing]
group=table
value=<length>

[border-style]
group=box
value=<mixed>|<border-style>|inherit
sub1=border-top-style,<border-style>
sub2=border-right-style,<border-style>
sub3=border-bottom-style,<border-style>
sub4=border-left-style,<border-style>

[border-top]
group=box
value=<mixed>|inherit
sub1=width,<border-width>
sub2=style,<border-style>
sub3=color,<color>|transparent

[border-top-color]
group=box
value=<color>|transparent|inherit

[border-top-style]
group=box
value=<border-style>|inherit

[border-top-width]
group=box
value=<border-width>|inherit

[border-width]
group=box
value=<mixed>|<border-width>|inherit
sub1=border-top-width,<border-width>
sub2=border-right-width,<border-width>
sub3=border-bottom-width,<border-width>
sub4=border-left-width,<border-width>

[bottom]
group=layout
value=<percentage>|<length>|auto

[caption-side]
group=table
value=top|bottom

[clear]
group=layout
value=none|left|right|both

[clip]
group=layout
value=auto|inherit

[color]
group=colors
value=<color>

[content]
group=generate
value=normal|none|<string>|<url>|open-quote|close-quote|no-open-quote|no-close-quote

[counter-increment]
group=generate
value=none

[counter-reset]
group=generate
value=none

[cue]
group=aural
value=<mixed>|inherit
sub1=cue-before,<url>|none
sub2=cue-after,<url>|none

[cue-after]
group=aural
value=<url>|none|inherit

[cue-before]
group=aural
value=<url>|none|inherit

[cursor]
group=other
value=<url>|auto|crosshair|default|pointer|move|e-resize|ne-resize|nw-resize|n-resize|se-resize|sw-resize|s-resize|w-resize|text|wait|help|progress

[direction]
group=text
value=ltr|rtl

[display]
group=layout
value=inline|block|list-item|run-in|table|inline-table|inline-block|table-row-group|table-header-group|table-footer-group|table-row|table-column-group|table-column|table-cell|table-caption|none|inherit

[elevation]
group=aural
value=<angle>|below|level|above|higher|lower

[empty-cells]
group=table
value=show|hide

[float]
group=layout
value=left|right|none|inherit

[font]
group=text
value=<mixed>
sub1=font-style,normal|italic|oblique
sub2=font-variant,normal|small-caps
sub3=font-weight,normal|bold|bolder|lighter|100|200|300|400|500|600|700|800|900
sub4=font-size,<length>|<percentage>|<relative-size>|<absolute-size>
sub5=line-height,<percentage>|<length>|<number>|normal
sub6=font-family,<font>
sub7=system-specific,caption|icon|menu|message-box|small-caption|status-bar

[font-family]
group=text
value=<font>

[font-size]
group=text
value=<length>|<percentage>|<relative-size>|<absolute-size>

[font-size-adjust]
group=text
value=<number>|none

[font-stretch]
group=text
value=normal|wider|narrower|ultra-condensed|extra-condensed|condensed|semi-condensed|semi-expanded|expanded|extra-expanded|ultra-expanded

[font-style]
group=text
value=normal|italic|oblique

[font-variant]
group=text
value=normal|small-caps

[font-weight]
group=text
value=normal|bold|bolder|lighter|100|200|300|400|500|600|700|800|900

[height]
group=box
value=<percentage>|<length>|auto

[left]
group=layout
value=<percentage>|<length>|auto

[letter-spacing]
group=text
value=<length>|normal

[line-height]
group=text
value=<percentage>|<length>|<number>|normal

[list-style]
group=list
value=<mixed>
sub1=list-style-type,disc|circle|square|decimal|decimal-leading-zero|lower-roman|upper-roman|lower-greek|lower-alpha|lower-latin|upper-alpha|upper-latin|hebrew|armenian|georgian|cjk-ideographic|hiragana|katakana|hiragana-iroha|katakana-iroha|none
sub2=list-style-position,inside|outside
sub3=list-style-image,<imageurl>|none

[list-style-image]
group=list
value=<imageurl>|none

[list-style-position]
group=list
value=inside|outside

[list-style-type]
group=list
value=disc|circle|square|decimal|decimal-leading-zero|lower-roman|upper-roman|lower-greek|lower-alpha|lower-latin|upper-alpha|upper-latin|hebrew|armenian|georgian|cjk-ideographic|hiragana|katakana|hiragana-iroha|katakana-iroha|none

[margin]
group=box
value=<mixed>|<percentage>|<length>|auto
sub1=margin-top,<percentage>|<length>|auto
sub2=margin-right,<percentage>|<length>|auto
sub3=margin-bottom,<percentage>|<length>|auto
sub4=margin-left,<percentage>|<length>|auto

[margin-bottom]
group=box
value=<percentage>|<length>|auto

[margin-left]
group=box
value=<percentage>|<length>|auto

[margin-right]
group=box
value=<percentage>|<length>|auto

[margin-top]
group=box
value=<percentage>|<length>|auto

[max-height]
group=box
value=<percentage>|<length>|none|inherit

[max-width]
group=box
value=<percentage>|<length>|none|inherit

[min-height]
group=box
value=<percentage>|<length>|none

[min-width]
group=box
value=<percentage>|<length>|none

[orphans]
group=page
value=<number>

[outline]
group=box
value=<mixed>|inherit
sub1=outline-color,<color>
sub2=outline-style,<border-style>
sub3=outline-width,<border-width>

[outline-color]
group=box
value=<color>|invert|inherit

[outline-style]
group=box
value=<border-style>|inherit

[outline-width]
group=box
value=<border-width>|inherit

[overflow]
group=layout
value=visible|hidden|scroll|auto|inherit

[padding]
group=box
value=<mixed>|<percentage>|<length>
sub1=padding-top,<percentage>|<length>
sub2=padding-right,<percentage>|<length>
sub3=padding-bottom,<percentage>|<length>
sub4=padding-left,<percentage>|<length>

[padding-bottom]
group=box
value=<percentage>|<length>

[padding-left]
group=box
value=<percentage>|<length>

[padding-right]
group=box
value=<percentage>|<length>

[padding-top]
group=box
value=<percentage>|<length>

[page]
group=page
value=auto

[page-break-after]
group=page
value=auto|always|avoid|left|right|inherit

[page-break-before]
group=page
value=auto|always|avoid|left|right|inherit

[page-break-inside]
group=page
value=auto|avoid|inherit

[pause]
group=aural
value=<mixed>|inherit
sub1=pause-before,<time>|<percentage>
sub2=pause-after,<time>|<percentage>

[pause-after]
group=aural
value=<time>|<percentage>|inherit

[pause-before]
group=aural
value=<time>|<percentage>|inherit

[pitch]
group=aural
value=<frequency>|x-low|low|medium|high|x-high

[pitch-range]
group=aural
value=<number>

[play-during]
group=aural
value=<url>|mix|repeat|auto|none|inherit

[position]
group=layout
value=static|relative|absolute|fixed|inherit

[quotes]
group=generate
value=none

[richness]
group=aural
value=<number>

[right]
group=layout
value=<percentage>|<length>|auto

[size]
group=page
value=<length>|auto|portrait|landscape|A5|A4|A3|B5|B4|letter|legal|ledger

[speak]
group=aural
value=normal|none|spell-out

[speak-header]
group=aural
value=once|always

[speak-numeral]
group=aural
value=digits|continuous

[speak-punctuation]
group=aural
value=code|none

[speech-rate]
group=aural
value=<number>|x-slow|slow|medium|fast|x-fast|faster|slower

[stress]
group=aural
value=<number>

[table-layout]
group=table
value=auto|fixed|inherit

[text-align]
group=text
value=left|right|center|justify

[text-decoration]
group=text
value=none|underline|overline|line-through|blink|inherit

[text-indent]
group=text
value=<percentage>|<length>

[text-transform]
group=text
value=capitalize|uppercase|lowercase|none

[top]
group=layout
value=<percentage>|<length>|auto

[unicode-bidi]
group=text
value=normal|embed|bidi-override|inherit

[vertical-align]
group=text
value=<percentage>|<length>|baseline|sub|super|top|text-top|middle|bottom|text-bottom|inherit

[visibility]
group=layout
value=visible|hidden|collapse

[voice-family]
group=aural
value=<mixed>
sub1=specific-voice,<string>
sub2=generic-voice,male|female|child

[volume]
group=aural
value=<percentage>|<number>|silent|x-soft|soft|medium|loud|x-loud

[white-space]
group=text
value=normal|pre|nowrap|pre-wrap|pre-line

[widows]
group=page
value=<number>

[width]
group=box
value=<percentage>|<length>|auto

[word-spacing]
group=text
value=<length>|normal

[z-index]
group=layout
value=<number>|auto

